using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace DL730PDA
{
    public static class RWDev
    {
        [DllImport("DL730PLUS.dll")]
        public static extern int ModelPowerOn();

        [DllImport("DL730PLUS.dll")]
        public static extern int ModelPowerOff();

        [DllImport("DL730PLUS.dll")]
        public static extern int ModulePowerOn();

        [DllImport("DL730PLUS.dll")]
        public static extern int ModulePowerOff();

        [DllImport("DL730PLUS.dll")]
        public static extern int ConnectReader( );

        [DllImport("DL730PLUS.dll")]
        public static extern int DisconnectReader();

        [DllImport("DL730PLUS.dll")]
        public static extern int Inventory(byte address,
                                           byte state,
                                           byte AFI,
                                           byte[] DSFIDAndUID,
                                           ref byte CardNum);

        [DllImport("DL730PLUS.dll")]
        public static extern int GetReaderInfo(ref byte address,
                                               byte[] versionInfo,
                                               ref byte model,
                                               byte[] supProtocol,
                                               ref byte inventoryScanTime);

        [DllImport("DL730PLUS.dll")]
        public static extern int OpenRF(byte address);

        [DllImport("DL730PLUS.dll")]
        public static extern int CloseRF(byte address);

        [DllImport("DL730PLUS.dll")]
        public static extern int GetTagInfo(byte address,
                                            byte state,
                                            byte[] UIDI,
                                            ref byte InformationFlag,
                                            byte[] UIDO,
                                            ref byte DSFID,
                                            ref byte AFI,
                                            byte[] MemorySize,
                                            ref byte ICReference,
                                            ref byte errorCode);

        [DllImport("DL730PLUS.dll")]
        public static extern int ReadSingleBlock(byte address,
                                                 byte state,
                                                 byte[] UID,
                                                 byte blockNumber,
                                                 ref byte securityWord,
                                                 byte[] Data,
                                                 ref byte errorCode);

        [DllImport("DL730PLUS.dll")]
        public static extern int ReadMultipleBlock(byte address,
                                                   byte state,
                                                   byte[] UID,
                                                   byte startBlock,
                                                   byte numberOfBlock,
                                                   byte[] securityWord,
                                                   byte[] Data,
                                                   ref byte errorCode);

        [DllImport("DL730PLUS.dll")]
        public static extern int WriteSingleBlock(byte address,
                                                  byte state,
                                                  byte[] UID,
                                                  byte blockNumber,
                                                  byte[] Data,
                                                  ref byte errorCode);
        [DllImport("DL730PLUS.dll")]
        public static extern int WriteInventoryScanTime(byte address, byte InventoryScanTime);

    }
}


